
Katello - Bug #6354

activation key UI - edit "Release Version" 403 permission denied

06/24/2014 02:35 PM - Thomas McKay

Status: Closed   

Priority: Normal   

Assignee: Thomas McKay   

Category: API   

Target version: Katello 2.0   

Difficulty: trivial Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1112717 Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/451
Description

Call to GET /activation_keys/$id/releases 403 w/ user having all act key permissions

Associated revisions

Revision ec8b9f5c - 07/31/2014 09:06 AM - dustin tsang

Fixes #6354,bz1112717 - AK available_release perm

Allow acess to available_release if user has permissions to

view_activation_key.

Revision 694bbe45 - 07/31/2014 11:39 AM - dustin tsang

Merge pull request #4511 from dustint-rh/ak_releases_perm

Fixes #6354,bz1112717 - AK available_release perm

History

#1 - 06/24/2014 02:36 PM - Thomas McKay

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1112717

#2 - 06/24/2014 07:15 PM - Eric Helms

- Assignee set to Thomas McKay

- Difficulty set to trivial

- Triaged changed from No to Yes

#3 - 07/07/2014 07:47 AM - Eric Helms

- Target version changed from 48 to 49

#4 - 07/28/2014 08:44 AM - Eric Helms

- Target version changed from 49 to 54

#5 - 07/31/2014 09:05 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/4511 added

#6 - 07/31/2014 12:01 PM - dustin tsang

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|ec8b9f5cd915453391a47b5aae67c355cd252024.
https://projects.theforeman.org/projects/katello/repository/katello/revisions/ec8b9f5cd915453391a47b5aae67c355cd252024


#7 - 08/22/2014 08:58 AM - Eric Helms

- translation missing: en.field_release set to 13
